package main

type patientStates string
type sex string
type surgeryField string
type academicDegree string
type specialization string
type jobPosition string
type operationTypes string

const (
	critical   patientStates = "KRYTYCZNY" //KRYTYCZNY
	stable     patientStates = "STABILNY"  //Stabilny
	endangered patientStates = "ZAGROŻONY" // ZAGROZONY
	none       patientStates = "NULL"      //NULL

)

const (
	k sex = "K"
	m sex = "M"
)

const (
	ogolna            surgeryField = "Ogólna"
	klatkiPiersiowej  surgeryField = "Klatki piersiowej"
	sercowoNaczyniowa surgeryField = "Sercowo - naczyniowa"
	ukladuNerwowego   surgeryField = "Układu nerwowego"
	urologia          surgeryField = "Urologia"
	szczekowoTwarzowa surgeryField = "Szczękowo - twarzowa"
	urazowa           surgeryField = "Urazowa"
	inne              surgeryField = "NULL"
)

const (
	lekMed  academicDegree = "lek. med."
	lekRez  academicDegree = "lek. rez."
	lekSpec academicDegree = "lek. spec."
	dr      academicDegree = "dr"
	drHab   academicDegree = "dr hab."
	prof    academicDegree = "prof."
)

const (
	chirOgolna        specialization = "Chirurgia ogólna"
	chirKlatkiPiers   specialization = "Chirurgia klatki piersiowej"
	chirSercowoNaczyn specialization = "Chirurgia sercowo - naczyniowa"
	chirUkNerwowego   specialization = "Chirurgia układu nerwowego"
	chirUrologiczna   specialization = "Urologia"
	chirSzczekTwarz   specialization = "Chirurgia szczękowo - twarzowa"
	chirUrazowa       specialization = "Chirurgia urazowa"
)

const (
	generalPracticioner jobPosition = "Lekarz ogólny"
	mainDoctor          jobPosition = "Lekarz prowadzący"
	viceManager         jobPosition = "Zastępca kierownika"
	manager             jobPosition = "Kierownik"
	hospitalHead        jobPosition = "Ordynator"
)

const (
	szycie              operationTypes = "Szycie"
	resekcja            operationTypes = "Resekcja"
	amputacja           operationTypes = "Amputacja"
	drenaz              operationTypes = "Drenaż"
	nastawienieZlaman   operationTypes = "Nastawianie złamań"
	operacjaKlatkiPiers operationTypes = "Ingerencja wewnątrz klatki piersiowej"
	operacjaSerca       operationTypes = "Operacja serca"
	operacjaUkNerwow    operationTypes = "Operacja układu nerwowego"
	przeszczep          operationTypes = "Przeszczep"
	inneOperacje        operationTypes = "Inne"
)
