package main

import "strconv"

func (doc doctor) getPrimaryKey() string {
	var value interface{}
	value = doc.DoctorID
	return strconv.Itoa(value.(int))
}
func (doc doctor) getPrimaryKeyName() string {
	return "Id_Lekarza"
}
func (ope operation) getPrimaryKey() string {
	var value interface{}
	value = ope.OperationID
	return strconv.Itoa(value.(int))
}
func (ope operation) getPrimaryKeyName() string {
	return "Id_Operacji"
}
func (roo room) getPrimaryKey() string {
	var value interface{}
	value = roo.RoomNumber
	return strconv.Itoa(value.(int))
}
func (roo room) getPrimaryKeyName() string {
	return "Nr_sali"
}
func (diag diagnosis) getPrimaryKey() string {
	var value interface{}
	value = diag.IcdSymbol
	return value.(string)
}
func (diag diagnosis) getPrimaryKeyName() string {
	return "Symbol_ICD"
}
func (pat patient) getPrimaryKey() string {
	var value interface{}
	value = pat.Pesel
	return value.(string)
}
func (pat patient) getPrimaryKeyName() string {
	return "PESEL"
}
func (adm admission) getPrimaryKey() string {
	var value interface{}
	value = adm.AdmissionID
	return strconv.Itoa(value.(int))
}
func (adm admission) getPrimaryKeyName() string {
	return "PESEL"
}
